Bug 188510 - QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 points to wrong location
Summary: QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 points to wrong location
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-10 19:32 UTC by Dawid Gajownik
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-13 20:58:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dawid Gajownik 2006-04-10 19:32:36 UTC
Description of problem:
/usr/lib/qt-3.3/mkspecs/linux-g++/qmake.conf has wrongly set variables:
QMAKE_INCDIR_X11        = /usr/X11R6/include
QMAKE_LIBDIR_X11        = /usr/X11R6/lib
QMAKE_INCDIR_OPENGL     = /usr/X11R6/include
QMAKE_LIBDIR_OPENGL     = /usr/X11R6/lib

They should not be set on system with modular X.Org X11R7.

Version-Release number of selected component (if applicable):
qt-devel-3.3.5-13

How reproducible:
Always

Additional info:
They should be set to something like this:
QMAKE_INCDIR_X11        = 
QMAKE_LIBDIR_X11        = 
QMAKE_INCDIR_OPENGL     = 
QMAKE_LIBDIR_OPENGL     =

Comment 1 Ngo Than 2006-04-13 20:58:40 UTC
it's now fixed in qt-3.3.6-2. It will be available in rawhide soon.
Thanks for your report


Note You need to log in before you can comment on or make changes to this bug.